
Application: gvSIG desktop - gvSIG bugs #5121
Falla al entrar en edicion de una capa H2 vacia.
10/24/2019 01:27 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.5.0-2928
Severity: Critical Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Esto es grave ya que imposibilita añadir registros a una tabla vacia.

NFO 991189 AWT-EventQueue-0 org.gvsig.app.project.DefaultProject - add('ARENA2_ACCIDENTES')
INFO 991224 AWT-EventQueue-0 org.gvsig.i18n.Messages - [org.gvsig.i18n.Messages] Cannot find translation for key
'ARENA2_ACCIDENTES'.
INFO 996187 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.document.table.app.mainplugin:org.gvsig.app.extension.TableEditStartExtension.execute('table-start-editing')
INFO 996213 AWT-EventQueue-0 org.gvsig.tools.locator.AbstractLocator - Created and stored the instance of
dal.editingnotification.manager in the singleton table
(org.gvsig.fmap.dal.impl.DefaultEditingNotificationManager/org.gvsig.fmap.dal.impl.DefaultEditingNotificationManager@1f3e7e1c).
WARN 996226 AWT-EventQueue-0 org.gvsig.fmap.dal.store.jdbc2.JDBCUtils - execute SQL: SELECT ST_AsBinary(ST_Extent("MAPA")) FROM "PUBLIC"."ARENA2_ACCIDENTES" WHERE ( ("MAPA") IS NOT NULL )
org.h2.jdbc.JdbcSQLException: Caracteristica no soportada: "converting to class org.h2.value.ValueGeometry" 
Feature not supported: "converting to class org.h2.value.ValueGeometry"; SQL statement:
SELECT ST_AsBinary(ST_Extent("MAPA")) FROM "PUBLIC"."ARENA2_ACCIDENTES" WHERE ( ("MAPA") IS NOT NULL ) [50100-188]
    at org.h2.message.DbException.getJdbcSQLException(DbException.java:345)
    at org.
1c).
WARN 996226 AWT-EventQueue-0 org.gvsig.fmap.dal.store.jdbc2.JDBCUtils - execute SQL: SELECT
ST_AsBinary(ST_Extent("MAPA")) FROM "PUBLIC"."ARENA2_ACCIDENTES" WHERE ( ("MAPA") IS NOT NULL )
org.h2.jdbc.JdbcSQLException: Caracteristica no soportada: "converting to class org.h2.value.ValueGeometry" 
Feature not supported: "converting to class org.h2.value.ValueGeometry"; SQL statement:
SELECT ST_AsBinary(ST_Extent("MAPA")) FROM "PUBLIC"."ARENA2_ACCIDENTES" WHERE ( ("MAPA") IS NOT NULL )
[50100-188]
    at org.h2.message.DbException.getJdbcSQLException(DbException.java:345)
    at org.h2.message.DbException.get(DbException.java:179)
    at org.h2.message.DbException.get(DbException.java:155)
    at org.h2.message.DbException.getUnsupportedException(DbException.java:216)
    at org.h2.value.DataType.convertTo(DataType.java:1204)
    at org.h2.engine.FunctionAlias$JavaMethod.getValue(FunctionAlias.java:460)
    at org.h2.expression.JavaFunction.getValue(JavaFunction.java:38)
    at org.h2.command.dml.Select.queryGroup(Select.java:379)
    at org.h2.command.dml.Select.queryWithoutCache(Select.java:638)
    at org.h2.command.dml.Query.query(Query.java:322)
    at org.h2.command.dml.Query.query(Query.java:290)
    at org.h2.command.dml.Query.query(Query.java:36)
    at org.h2.command.CommandContainer.query(CommandContainer.java:90)
    at org.h2.command.Command.executeQuery(Command.java:197)
    at org.h2.jdbc.JdbcStatement.executeQuery(JdbcStatement.java:79)
    at org.apache.commons.dbcp.DelegatingStatement.executeQuery(DelegatingStatement.java:208)
    at org.gvsig.fmap.dal.store.jdbc2.JDBCUtils.executeQuery(JDBCUtils.java:25)
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.calculateEnvelopeOfColumn(CalculateEnvelopeOfColumnOperation.java:144)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.perform(CalculateEnvelopeOfColumnOperation.java:51)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform_operation(AbstractConnectionOperation.java:101)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform(AbstractConnectionOperation.java:43)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:132)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:150)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:104)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.getEnvelope(JDBCStoreProviderBase.java:503)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.edit(DefaultFeatureStore.java:1133)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:69)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:49)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
    at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
    at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
    at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
    at java.desktop/javax.swing.AbstractButton.doClick(AbstractButton.java:369)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:980)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1024)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.Component.processMouseEvent(Component.java:6589)
    at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.j
velopeOfColumnOperation.java:144)
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.perform(CalculateEnvelopeOfColumnOperation.java:51)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform_operation(AbstractConnectionOperation.java:101)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform(AbstractConnectionOperation.java:43)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:132)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:150)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:104)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.getEnvelope(JDBCStoreProviderBase.java:503)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.edit(DefaultFeatureStore.java:1133)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:69)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:49)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
    at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
    at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
    at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
    at java.desktop/javax.swing.AbstractButton.doClick(AbstractButton.java:369)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:980)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1024)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.Component.processMouseEvent(Component.java:6589)
    at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
    at java.desktop/java.awt.Component.processEvent(Component.java:6354)
    at java.desktop/java.awt.Container.processEvent(Container.java:2261)
    at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4966)
    at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2319)
    a
ration.java:51)
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform_operation(AbstractConnectionOperation.java:101)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform(AbstractConnectionOperation.java:43)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:132)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:150)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:104)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.getEnvelope(JDBCStoreProviderBase.java:503)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.edit(DefaultFeatureStore.java:1133)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:69)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:49)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
    at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
    at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
    at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
    at java.desktop/javax.swing.AbstractButton.doClick(AbstractButton.java:369)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:980)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1024)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.Component.processMouseEvent(Component.java:6589)
    at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
    at java.desktop/java.awt.Component.processEvent(Component.java:6354)
    at java.desktop/java.awt.Container.processEvent(Container.java:2261)
    at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4966)
    at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2319)
    at java.desktop/java.awt.Component.dispatchEvent(Component.java:4798)
    at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4914)
    at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4543)
    at java.desktop/java.awt.Lightw
va:101)
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform(AbstractConnectionOperation.java:43)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:132)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:150)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:104)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.getEnvelope(JDBCStoreProviderBase.java:503)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.edit(DefaultFeatureStore.java:1133)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:69)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:49)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
    at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
    at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
    at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
    at java.desktop/javax.swing.AbstractButton.doClick(AbstractButton.java:369)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:980)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1024)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.Component.processMouseEvent(Component.java:6589)
    at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
    at java.desktop/java.awt.Component.processEvent(Component.java:6354)
    at java.desktop/java.awt.Container.processEvent(Container.java:2261)
    at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4966)
    at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2319)
    at java.desktop/java.awt.Component.dispatchEvent(Component.java:4798)
    at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4914)
    at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4543)
    at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4484)
    at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2305)
    at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
    at java.desktop/java.awt.Component.dispatchEvent(Component.java:4798)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:97)
    at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
    at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
WARN 996228 AWT-EventQueue-0 org.gvsig.app.extension.TableEditStartExtension - Problems starting table editing.
org.gvsig.fmap.dal.feature.exception.StoreEditException: Can't enter in editing mode for store 'ARENA2_ACCIDENTESs.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.edit(DefaultFeatureStore.java:1156)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:69)
    at org.gvsig.app.extension.TableEditStartExtension.execute(TableEditStartExtension.java:49)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
    at java.desktop/javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1967)
    at java.desktop/javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2308)
    at java.desktop/javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:405)
    at java.desktop/javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:262)
    at java.desktop/javax.swing.AbstractButton.doClick(AbstractButton.java:369)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:980)
    at java.desktop/javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1024)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:297)
    at java.desktop/java.awt.Component.processMouseEvent(Component.java:6589)
    at java.desktop/javax.swing.JComponent.processMouseEvent(JComponent.java:3342)
    at java.desktop/java.awt.Component.processEvent(Component.java:6354)
    at java.desktop/java.awt.Container.processEvent(Container.java:2261)
    at java.desktop/java.awt.Component.dispatchEventImpl(Component.java:4966)
    at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2319)
    at java.desktop/java.awt.Component.dispatchEvent(Component.java:4798)
    at java.desktop/java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4914)
    at java.desktop/java.awt.LightweightDispatcher.processMouseEvent(Container.java:4543)
    at java.desktop/java.awt.LightweightDispatcher.dispatchEvent(Container.java:4484)
    at java.desktop/java.awt.Container.dispatchEventImpl(Container.java:2305)
    at java.desktop/java.awt.Window.dispatchEventImpl(Window.java:2772)
    at java.desktop/java.awt.Component.dispatchEvent(Component.java:4798)
    at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:772)
    at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
    at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:97)
    at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:745)
    at java.desktop/java.awt.EventQueue$5.run(EventQueue.java:743)
    at java.base/java.security.AccessController.doPrivileged(Native Method)
    at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
    at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:742)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
    at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
    at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.RuntimeException: Can't calculate envelope.
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:135)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:150)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.get(JDBCStoreProviderBase.java:104)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.getEnvelope(JDBCStoreProviderBase.java:503)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.edit(DefaultFeatureStore.java:1133)
    ... 45 more
Caused by: java.lang.RuntimeException: Can't perform operation 'CalculateEnvelopeOfColumnOperation'.
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform_operation(AbstractConnectionOperation.java:108)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform(AbstractConnectionOperation.java:43)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:132)
    ... 49 more
Caused by: org.gvsig.fmap.dal.store.jdbc.exception.JDBCSQLException: An JDBC driver exception was throw
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.calculateEnvelopeOfColumn(CalculateEnvelopeOfColumnOperation.java:155)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.perform(CalculateEnvelopeOfColumnOperation.java:51)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform_operation(AbstractConnectionOperation.java:101)
    ... 51 more
Caused by: org.h2.jdbc.JdbcSQLException: Caracteristica no soportada: "converting to class org.h2.value.ValueGeometry" 
Feature not supported: "converting to class org.h2.value.ValueGeometry"; SQL statement:
SELECT ST_AsBinary(ST_Extent("MAPA")) FROM "PUBLIC"."ARENA2_ACCIDENTES" WHERE ( ("MAPA") IS NOT NULL ) [50100-188]
    at org.h2.message.DbException.getJdbcSQLException(DbException.java:345)
    at org.h2.message.DbException.get(DbException.java:179)
    at org.h2.message.DbException.get(DbException.java:155)
    at org.h2.message.DbException.getUnsupportedException(DbException.java:216)
    at org.h2.value.DataType.convertTo(DataType.java:1204)
    at org.h2.engine.FunctionAlias$JavaMethod.getValue(FunctionAlias.java:460)
    at org.h2.expression.JavaFunction.getValue(JavaFunction.java:38)
    at org.h2.command.dml.Select.queryGroup(Select.java:379)
    at org.h2.command.dml.Select.queryWithoutCache(Select.java:638)
    at org.h2.command.dml.Query.query(Query.java:322)
    at org.h2.command.dml.Query.query(Query.java:290)
    at org.h2.command.dml.Query.query(Query.java:36)
    at org.h2.command.CommandContainer.query(CommandContainer.java:90)
    at org.h2.command.Command.executeQuery(Command.java:197)
    at org.h2.jdbc.JdbcStatement.executeQuery(JdbcStatement.java:79)
    at org.apache.commons.dbcp.DelegatingStatement.executeQuery(DelegatingStatement.java:208)
    at org.gvsig.fmap.dal.store.jdbc2.JDBCUtils.executeQuery(JDBCUtils.java:25)
    at org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.calculateEnvelopeOfColumn(CalculateEnvelopeOfColumnOperation.java:144)
    ... 53 more
INFO 1101400 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo - org.gvsig.app.mainplugin:org.gvsig.app.extension.logviewer.LogViewerExtension.execute('log-view')


va:108)
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.AbstractConnectionOperation.perform(AbstractConnectionOperation.java:43)
    at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase$EnvelopeValue.calculate(JDBCStoreProviderBase.java:132)
    ... 49 more
Caused by: org.gvsig.fmap.dal.store.jdbc.exception.JDBCSQLException: An JDBC driver exception was throw
    at
org.gvsig.fmap.dal.store.jdbc2.spi.operations.CalculateEnvelopeOfColumnOperation.calculateEnvelopeOfColumn(CalculateEnvelopeOfColumnOperation.java:155)
    at org.h2.jdbc.JdbcStatement.executeQuery(JdbcStatement.java:79)
INFO 1101400 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.logviewer.LogViewerExtension.execute('log-view')

History
#1 - 10/24/2019 11:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2928

#2 - 10/25/2019 09:32 PM - Joaquín  del Cerro Murciano
- Description updated

#3 - 10/25/2019 09:42 PM - Joaquín  del Cerro Murciano
- Subject changed from Falla al entrar en edicion de una tabla H2 vacia. to Falla al entrar en edicion de una capa H2 vacia.

#4 - 10/29/2019 12:36 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 11/04/2019 01:26 PM - Álvaro Anguix
- Status changed from Fixed to Closed
